Bug 6370 - [CTDB] Outdated autotools helper file
[CTDB] Outdated autotools helper file
Status: RESOLVED FIXED
Product: CTDB
Classification: Unclassified
Component: ctdb
unspecified
Other Linux
: P3 normal
: ---
Assigned To: Michael Adam
Michael Adam
http://lintian.debian.org/tags/outdat...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-17 13:16 UTC by Mathieu Parent
Modified: 2009-09-15 06:42 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Parent 2009-05-17 13:16:10 UTC
Some config files are outdated. This was found by Debian's lintian. Here is the log:
W: ctdb source: outdated-autotools-helper-file lib/replace/config.guess 2005-08-03
W: ctdb source: outdated-autotools-helper-file lib/replace/config.sub 2005-07-08
W: ctdb source: outdated-autotools-helper-file lib/talloc/config.guess 2005-08-03
W: ctdb source: outdated-autotools-helper-file lib/talloc/config.sub 2005-07-08
W: ctdb source: outdated-autotools-helper-file lib/tdb/config.guess 2005-08-03
W: ctdb source: outdated-autotools-helper-file lib/tdb/config.sub 2005-07-08

More info:
N: 
N:    The referenced file has a time stamp older than June of 2006 and the
N:    package does not build-depend on autotools-dev or automake and therefore
N:    apparently does not update it. This usually means that the source
N:    package will not build correctly on AVR32, for which a Debian port is
N:    currently in progress, and may not support other newer architectures.
N:    
N:    Read /usr/share/doc/autotools-dev/README.Debian.gz (from the
N:    autotools-dev package) for information on how to fix this problem. cdbs
N:    will automatically update these files if autotools-dev is installed
N:    during build, but the build dependency on autotools-dev is still
N:    necessary.
N:    
N:    Severity: normal, Certainty: possible
N:

An equivalent bug was resolved for samba.

(already talked on IRC, put here not to forget)
Comment 1 Mathieu Parent 2009-07-13 13:59:56 UTC
A patch can be found here:

http://svn.debian.org/wsvn/pkg-samba/trunk/ctdb/debian/patches/30_outdated-autotools.diff
Comment 2 Michael Adam 2009-09-15 06:42:24 UTC
has been applied to upstream and will be in 1.0.91
closing as fixed - please reopen if problem persists..